import QtQuick 2.4
import QtQuick.Controls 2.3
import QtQuick.Layouts 1.3

Popup {
    id: popup
    height: 450
    dim: true
    clip: false
    width: 400
    modal: true
    focus: true
    closePolicy: Popup.NoAutoClose
    anchors.centerIn: Overlay.overlay

    Connections {
        target: _qmlHandler
        onLoginSignupPopupClose: {
            popup.close()
        }
        onLoginSignupPopupOpen: {
            popup.open()
        }
    }

    Page {
        anchors.fill: parent

        header: TabBar {
            id: header
            currentIndex: swipeView.currentIndex
            contentHeight: 50

            TabButton {
                text: qsTr("Login")
            }

            TabButton {
                text: qsTr("Signup")
            }
        }

        SwipeView {
            id: swipeView
            anchors.fill: parent
            currentIndex: header.currentIndex
            clip: true

            LoginForm {
            }

            SignupForm {
            }
        }
    }

    Component.onCompleted: {
        swipeView.interactive = false
    }
}
